Article ID: 124688, created on Mar 2, 2015, last review on Mar 16, 2015

  • Applies to:
  • Business Automation 5.4

Fixed issues

PBA-62093 Support TLS 1.2 in eNom domain and certificate plug-ins

Installation instructions

RHEL 6/CentOS 6:

  1. If not yet done, update "libssh2", "nss" and "nss-softokn" packages on PBA application server:

    yum update nss libssh2 nss-softokn

  2. Login to the PBA application server

  3. Enter the PBA "tools" directory: cd /usr/local/bm/tools

  4. Run the PBA hotfix installer with the "install" option: ./ install

  5. In case you experience some SSL-related errors after the hotfix instalation, please perform full "yum update" on PBA application server + restart PBA services.

Windows 2008:

  1. Login to PBA application server
  2. Backup the following files located in $PBA_ROOT\bin64\ directory: libcurl.dll libeay32.dll ssleay32.dll

  3. Download hotfix files:

  4. Stop PBA: net stop ssm /Y
  5. Replace files inĀ  $PBA_ROOT\bin64\ directory with the downloaded files
  6. Start PBA: net start ssm && net start pba

    Note: $PBA_ROOT should be replaced with path to PBA installation directory, for example C:\Program Files\Parallels\PBA

Additional information

  1. The hotfix requires PBA 5.4.17-006 RHEL 6/CentOS 6 or Windows 2008 x64 to be installed.
  2. PBA services will be restarted automatically during the hotfix installation on Linux.
  3. It is not possible to prepare hotfix for RHES 4/CentOS 4 or Windows 2003 x86, since TLS 1.2 is not supported on the older operating systems. If you need this hotfix, you would have to migrate to a newer OS: Linux, Windows.

210d017ddc3a076d22f0f865b1cf0730 caea8340e2d186a540518d08602aa065 e12cea1d47a3125d335d68e6d4e15e07 198398b282069eaf2d94a6af87dcb3ff 92711db0799e8aefe8e51f12dace0496

Email subscription for changes to this article
Save as PDF